(Opgelost) Catalina installeren lukt niet

Nu het vakantie is, is er tijd om naar Catalina te kijken. Helaas lukt de installatie niet.

Met de macOSPublicBetaAccessUtility kan ik wel het profiel installeren, maar ook nu zegt Software Update dat ik gewoon de meest recente versie van Mojave heb.

Kan het zijn dat dit zo is sinds de release van 10.14.6? En als ja, wat kan ik dan nog doen om Catalina te installeren?

 

Mac al herstart?

<p class="cite">McPim op 11 augustus 2019 om 14:42</p> Mac al herstart?
Ja, geen verschil

Is je Mac wel geschikt voor Catalina?

Ik ga je niet vragen waarom je zo nodig met de public beta van Catalina wilt stoeien. Ik geef je wel het advies om Mojave met rust te laten en hier een externe drive voor te gebruiken…

https://www.macrumors.com/2019/06/03/macos-catalina-compatibility/

 

These are all of the same Macs that were able to run macOS Mojave, with the exception of the mid-2010 and mid-2012 Mac Pro models, which will not be getting the update.
Zou dus niet het probleem moeten zijn, tenzij je een pré-2013 Mac Pro hebt. Vreemd dat het niet lukt. Catalina staat ook niet in de App Store onder 'Updates' neem ik aan?

Mijn MacBook heeft een Touchbar. Dus dat model gaat wel lukken.

Maar een bugje aangemaakt in de Feedback Assistant.

 

Ik heb het Beta profiel geïnstalleerd en update gedraaid, maar krijg Catalina ook niet te zien. Is de beta misschien niet meer beschikbaar ?

Het installeren van de beta op mijn iPad en iPhone was geen probleem.

Wat gebeurt er als jullie deze link klikken en op de download button in de App Store klikken?

 

https://apps.apple.com/gb/app/macos-catalina-beta/id1455661060?mt=12

Heb je Xcode 11 beta geïnstalleerd? Anders lukt het niet volgens deze bron: public beta install

Dan geeft hij aan dat de versie niet beschikbaar is.

Ok, dan heb ik hier 2 Terminal commando’s die het probleem zouden moeten oplossen. Voer ze na elkaar in, liefst met copy-paste en ‘enter’, en alleen als je vaker met Terminal gewerkt hebt. Dit update de software catalogus zodat de Catalina beta zichtbaar wordt.

 

Oeps, ik zie dat het forum gekke dingen doet met de weergave van die commando’s, dus zie de bron hieronder, eerste antwoord, en haal ze daar vandaan.

 

(bron)

@McPim, je verwijst naar een ongeldige pagina.

Fixed.

Mecman op 12 augustus 2019 om 10:04 Heb je Xcode 11 beta geïnstalleerd? Anders lukt het niet volgens deze bron: public beta install
Dat haal ik niet uit dat artikel Mecman...?
<p class="cite">McPim op 12 augustus 2019 om 09:57</p> Wat gebeurt er als jullie deze link klikken en op de download button in de App Store klikken?

 

https://apps.apple.com/gb/app/macos-catalina-beta/id1455661060?mt=12


Deze stuurt je gewoon terug naar de software update tool in System Pref

<p class="cite">Mecman op 12 augustus 2019 om 10:04</p> Heb je Xcode 11 beta geïnstalleerd? Anders lukt het niet volgens deze bron: public beta install
Ja

 

Oplossing uit mijn link hierboven geprobeerd?

<p class="cite">McPim op 12 augustus 2019 om 10:13</p> Ok, dan heb ik hier 2 Terminal commando’s die het probleem oplossen. Voer ze na elkaar in, liefst met copy-paste en ‘enter’, en alleen als je vaker met Terminal gewerkt hebt. Dit update de software catalogus zodat de Catalina beta zichtbaar wordt.

 

Oeps, ik zie dat het forum gekke dingen doet met de weergave van die commando’s, dus zie de bron hieronder, eerste antwoord, en haal ze daar vandaan.

 

(bron)


Ja, doet het. Dat eerste commando lijkt bedoelt om eerst de oude waarde op te halen. Het 2e past de waarde echt aan. Heb de output van stap 1 maar even veilig gesteld. Kans dat ik het niet nodig heb ik 99.99%, maar toch…

Allen, dank!

<p class="cite">McPim op 12 augustus 2019 om 10:21</p>
Mecman op 12 augustus 2019 om 10:04 Heb je Xcode 11 beta geïnstalleerd? Anders lukt het niet volgens deze bron: public beta install
Dat haal ik niet uit dat artikel Mecman…?
derde alinea: "You may need macOS 10.15 in order to get Apple's other betas. On June 3, the fine print for iOS and iPadOS only said "Install via iTunes," but as of June 4, that text now reads "Installation requires macOS 10.15 beta or Xcode 11 beta."